aboutsummaryrefslogtreecommitdiff
path: root/share/keyringer/usage
diff options
context:
space:
mode:
Diffstat (limited to 'share/keyringer/usage')
-rwxr-xr-xshare/keyringer/usage12
1 files changed, 12 insertions, 0 deletions
diff --git a/share/keyringer/usage b/share/keyringer/usage
new file mode 100755
index 0000000..54cbea6
--- /dev/null
+++ b/share/keyringer/usage
@@ -0,0 +1,12 @@
+#!/bin/bash
+#
+# Show available commands
+#
+
+# Load functions
+LIB="`dirname $0`/../../lib/keyringer/functions"
+source "$LIB" || exit 1
+
+printf "Usage: %s <keyring> <action> [arguments]\n" "$BASENAME"
+printf "Available commands: \n"
+ls $ACTIONS | sed -e 's/^/\t/'